Package: groovy.org.codenarc.rule.size

## [Groovy] Class ParameterCountRule

- groovy.org.codenarc.rule.size.ParameterCountRule

- Checks if the number of parameters in method/constructor exceeds the number of parameters specified by the maxParameters property.

  Authors:
    Maciej Ziarko

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `int` | `maxParameters`
    `String` | `name`
    `int` | `priority`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `setMaxParameters(int maxParameters)`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### int maxParameters

    - #### String name

    - #### int priority

  - ### Method Detail

    - #### void setMaxParameters(int maxParameters)